
spring:
  application:
    name: gateway-app
#    admin:
#      enabled: true
  cloud:
  sleuth:
    sampler:
      percentage: 1.0
    zuul:
      enabled: true

eureka:
  instance:
    hostname: ${spring.application.name}
    preferIpAddress: true
  client:
    serviceUrl:
      defaultZone: ${app.center}
    healthcheck:
      enabled: true

zuul:
  sensitiveHeaders: Cookie,Set-Cookie
  ribbon:
    okhttp:
      enabled: true
#  ignored-services:
#  routes:
#    xx:
#      id: xx
#      path: /xx/**
#      url: http://192.168.90.11:9000

feign:
  httpclient:
    enabled:  false

ribbon:
  okhttp:
    enabled: true
  eureka:
    enabled: true

management:
  security:
    enabled: false

endpoints:
  enabled: true
  shutdown:
    enabled: false